﻿@using System.Web.UI.WebControls;
@using Portal.Models.DailyOrder;

<table border="0">
        <tr>
            <td style="height:25px; padding-right:4px;">
            @Html.Label("Supplier Code")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "SupplierCodeEmergency";
                                //settings.Text = "6000-1";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                //}).GetHtml()
                            }).Bind(ViewData["SupplierCodeEmergency"]).GetHtml()
            </td>

            <td style="height:25px; padding-right:4px;">
            @Html.Label("Total Manifest")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "TotalManifestEmergency";
                                //settings.Text = "50";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                //}).GetHtml()
                            }).Bind(ViewData["TotalManifestEmergency"]).GetHtml()
            </td>
            <td style="height:25px; padding-right:4px;">
            @Html.Label("Order Plan Qty")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "OrderPlantQtyEmergency";
                                //settings.Text = "200";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                // }).GetHtml()
                            }).Bind(ViewData["OrderPlantQtyEmergency"]).GetHtml()
            </td>
         </tr>
        <tr>
            <td>
            @Html.Label("Remaining Qty")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "RemainingQtyEmergency";
                                //settings.Text = "100";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                //}).GetHtml()
                            }).Bind(ViewData["RemainingQtyEmergency"]).GetHtml()
            </td>

            <td>
            @Html.Label("Download Flag")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "DownloadFlagEmergency";
                                //settings.Text = "6000-1";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                //}).GetHtml()
                            }).Bind(ViewData["DownloadFlagEmergency"]).GetHtml()
            </td>

            <td>
            @Html.Label("Download Order")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "DownloadOrderDataEmergency";
                                //settings.Text = "6000-1";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                //}).GetHtml()
                            }).Bind(ViewData["DownloadOrderDataEmergency"]).GetHtml()
            </td>
         </tr>
        <tr>
            <td>
            @Html.Label("Capability")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "CapabilityEmergency";
                                //settings.Text = "6000-1";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                            //}).GetHtml()
                            }).Bind(ViewData["CapabilityEmergency"]).GetHtml()
            </td>

            <td>
            @Html.Label("Notice")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "NoticeEmergency";
                                //settings.Text = "6000-1";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                            //}).GetHtml()
                            }).Bind(ViewData["NoticeEmergency"]).GetHtml()
            </td>
         </tr>
       </table>
       <table width="100%" border="0">
        <tr>
            <td width="930px"></td>
            <td align="right" width="60px">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnUndoCancelEmergency";
                    settings.Text = "Undo Cancel Manifest Order";
                    settings.Width = 185;
                    settings.UseSubmitBehavior = true;
                }
                ).GetHtml()            
            </td>
            <td  align="right" width="60px">
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnCancelEmergency";
                    settings.Text = "Cancel Manifest Order";
                    settings.Width = 150;
                    settings.UseSubmitBehavior = true;
                }
                ).GetHtml()            
            </td>
        </tr>
    </table>